%define upstream_name    Prophet
%define upstream_version 0.750

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A distributed database system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

# for testing
BuildRequires: perl(Any::Moose) >= 0.40.0
BuildRequires: perl(Config::GitLike) >= 1.20.0
BuildRequires: perl(DBD::SQLite) >= 1.0.0
BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.110.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(HTTP::Server::Simple) >= 0.400.0
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(JSON::XS) >= 2.222.200
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64::URLSafe)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Module::Refresh)
BuildRequires: perl(Mouse) >= 0.210.0
BuildRequires: perl(Net::Bonjour)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Path::Dispatcher) >= 0.140.0
BuildRequires: perl(Path::Dispatcher::Declarative)
BuildRequires: perl(Proc::InvokeEditor)
BuildRequires: perl(Template::Declare) >= 0.350.0
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Term::ReadLine::Perl)
BuildRequires: perl(Test::Exception) >= 0.260.0
BuildRequires: perl(Test::HTTP::Server::Simple)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::WWW::Mechanize) >= 1.160.0
BuildRequires: perl(Time::Progress)
BuildRequires: perl(URI)
BuildRequires: perl(UUID::Tiny) >= 1.20.0
BuildRequires: perl(XML::Atom::SimpleFeed)
BuildRequires: perl(YAML::Syck)
BuildRequires: rsync
Requires:   perl(Path::Dispatcher::Declarative)
# for server
Requires:   perl(HTTP::Server::Simple::CGI)
BuildArch:  noarch

%description
Prophet is a distributed database system designed for small to medium scale
social database applications. Our early targets include things such as bug
tracking.

Design goals
    * Arbitrary record schema

    * Replication

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.750.0-2.mga3
+ Revision: 372174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.750
    - imported package perl-Prophet

